local gearT = {
    [-1] = "R",
    [0] = "N",
    [1] = "1",
    [2] = "2",
    [3] = "3",
    [4] = "4",
    [5] = "5",
    [6] = "6",
    [7] = "7",
    [8] = "8"
    
}

local white = rgb(1,1,1)
local yellow = rgb(1,1,0)


function update(dt)
    display.text({ text = math.floor(car.speedKmh/ 1.609344), pos = vec2(1200.1, 620.2), letter = vec2(50,100), font = 'c7_new', color = white, alignment =1, width = 151, spacing = 0.3})
    display.text({ text = string.format("%02.1f", car.distanceDrivenSessionKm/ 1.609344), pos = vec2(0, 0), letter = vec2(25, 50), font = 'e92_big', color = white, alignment =1, width = 0, spacing = .01 })
    display.text({ text = gearT[car.gear], pos = vec2(1280, 409), letter = vec2(125, 250), font = 'c7_new', color = yellow ,alignment =0.5, width = 0, spacing = 1 })
    display.text({ text = string.format("%05d", car.distanceDrivenTotalKm), pos = vec2(139, 343), letter = vec2(25, 50), font = 'e92_big', color = white, alignment =0.0, width = 0, spacing = 1 })
    display.text({ text = string.format("%05.0f", car.distanceDrivenSessionKm/1.609344),  pos = vec2(890.3, 808.4), letter = vec2(20,40), font = 'c7_new', color = white, alignment =0.5, width = 251, spacing = 1})
    display.text({ text = string.format("%02d:%02d", sim.timeHours, sim.timeMinutes), pos = vec2(0, 0), letter = vec2(31, 35), font = 'e92_big', color = white, alignment =0.0, width = 0, spacing = 1 })
    display.text({ text = string.format("%.1f", car.fuel), pos = vec2(0, 0), letter = vec2(25, 50), font = 'e92_big', color = white, alignment =0.0, width = 0, spacing = 1 })
   end



  
   